Taxonomy

Replace a publication tag set

PUT
/api/projects/{projectId}/publications/{publicationId}/tags

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Request Body

  1. body
tagIds*array<>

Response Body

Response for status 200

application/json
  1. response
tags*array<>
Example Request
curl -X PUT 'https://postbot.example/api/projects/string/publications/string/tags' \
  -H 'Content-Type: application/json' \
  -d '{
  "tagIds": [
    "string"
  ]
}'
Example Response
{
  "tags": [
    {
      "id": "string",
      "projectId": "string",
      "name": "string",
      "normalizedName": "string",
      "state": "active",
      "archivedAt": 0,
      "createdAt": 0,
      "updatedAt": 0
    }
  ]
}

Was this page helpful?